Bug 144312 - Can't use usb flash disk, kernel oops
Can't use usb flash disk, kernel oops
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 16:05 EST by Leonid Zeitlin
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.10-1.741_FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 07:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exceprt from /var/log/messages with relevant error messages (6.90 KB, text/plain)
2005-01-05 16:07 EST, Leonid Zeitlin
no flags Details

  None (edit)
Description Leonid Zeitlin 2005-01-05 16:05:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
A Transcend JetFlash USB flash disk sporadically doesn't work with FC3. Sometimes it works alright, detected when plugged in and an entry for it is added to /etc/fstab correctly (as /dev/sda device). But sometimes (no clear pattern), it's not detected when plugged in, and cannot be mounted. Error messages from kernel are in attachment (excerpt from /var/log/messages). This same USB disk works reliably in Windows on the same computer.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.681_FC3

How reproducible:
Sometimes

Steps to Reproduce:
1. Connect USB flash drive to USB port
    

Actual Results:  Disk is not detected and cannot be mounted

Expected Results:  Disk is attached to /dev/sda and entered into /etc/fstab

Additional info:

The machine is a P4, ASUS P4P800 mother board.
Comment 1 Leonid Zeitlin 2005-01-05 16:07:23 EST
Created attachment 109395 [details]
Exceprt from /var/log/messages with relevant error messages
Comment 2 Leonid Zeitlin 2005-01-06 04:43:38 EST
Sorry for weird formatting in the description! Here's the same text,
hopefully easier to read.

A Transcend JetFlash USB flash disk sporadically doesn't work with 
FC3. Sometimes it works alright, detected when plugged in and an 
entry for it is added to /etc/fstab correctly (as /dev/sda device). 
But sometimes (no clear pattern), it's not detected when plugged in, 
and cannot be mounted. Error messages from kernel are in attachment 
(excerpt from /var/log/messages). This same USB disk works reliably 
in Windows on the same computer.
Comment 3 Leonid Zeitlin 2005-02-07 07:10:58 EST
After upgrading to kernel-2.6.10-1.741_FC3, this problem is gone, but 
a problem similar to that in the bug 145273 appeared. Workarounds 
suggested in that bug comments seem to fix the problem. This bug can 
be closed.

Note You need to log in before you can comment on or make changes to this bug.